package com.jdbc.mysql;

import java.awt.*;
import java.awt.event.*;
import java.sql.*;
import javax.swing.*;

public class Speed extends JFrame {

	private JPanel jpSpeed, jpOther, jpOk;
	private JLabel jlTables, jlNumber;
	private Connection con;
	private JTextField textSQL;
	private JTextField Number;
	private JButton btn;
	private int count;

	public Speed(Connection con) {
		this.con = con;
		initialize();
	}

	private void initialize() {
		this.setTitle("Query for MySQL special");
		this.setSize(425, 234);
		this.setLocationRelativeTo(this);
		this.setResizable(false);

		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.getContentPane().setLayout(null);

		jpSpeed = new JPanel();
		jpSpeed.setBounds(0, 78, 425, 48);
		getContentPane().add(jpSpeed);
		jpSpeed.setLayout(null);

		textSQL = new JTextField();
		textSQL.setFont(new Font("΢ź Light", Font.BOLD, 24));
		textSQL.setBounds(155, 0, 200, 48);
		jpSpeed.add(textSQL);
		textSQL.setColumns(10);

		jlTables = new JLabel("Tables:");
		jlTables.setHorizontalAlignment(SwingConstants.CENTER);
		jlTables.setFont(new Font("΢ź Light", Font.BOLD, 24));
		jlTables.setBounds(45, 0, 110, 48);
		jpSpeed.add(jlTables);

		jpOther = new JPanel();
		jpOther.setBounds(0, 15, 425, 48);
		getContentPane().add(jpOther);
		jpOther.setLayout(null);

		jlNumber = new JLabel("Number:");
		jlNumber.setFont(new Font("΢ź Light", Font.BOLD, 24));
		jlNumber.setHorizontalAlignment(SwingConstants.CENTER);
		jlNumber.setBounds(45, 0, 110, 48);
		jpOther.add(jlNumber);

		Number = new JTextField();
		Number.setFont(new Font("΢ź Light", Font.BOLD, 24));
		Number.setBounds(155, 0, 200, 48);
		jpOther.add(Number);
		Number.setColumns(10);

		jpOk = new JPanel();
		jpOk.setBounds(0, 141, 425, 48);
		getContentPane().add(jpOk);
		jpOk.setLayout(null);

		btn = new JButton("Ok");
		btn.setBounds(155, 0, 200, 48);
		jpOk.add(btn);
		btn.setFont(new Font("΢ź Light", Font.BOLD, 24));

		btn.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				dealWith();
			}
		});

	}

	public void dealWith() {
		boolean state=true;
		String numStr = Number.getText();
		if (numStr.matches("^[0-9]+$")) {
			int count=Integer.parseInt(numStr);
			for (int i = 0; i < count; i++) {
				String user="user"+i;
				String pass=password();
				String sql = "insert into " + textSQL.getText() + "(user,pass,time) values ("+"'"+user+"'"+","+"'"+pass+"'"+",now()"+")";
				try {
					PreparedStatement pre = con.prepareStatement(sql);
					int row = pre.executeUpdate();
					if (!(row <= 1)) {
						JOptionPane.showMessageDialog(null, "SQLError!", "Message", JOptionPane.ERROR_MESSAGE);
						state=false;
						break;
					} 
				} catch (Exception e) {
					JOptionPane.showMessageDialog(null, "MySQLException!", "Message", JOptionPane.WARNING_MESSAGE);
					state=false;
					break;
				}
			}
		}else {
			JOptionPane.showMessageDialog(null, "NumberClass!", "Message", JOptionPane.ERROR_MESSAGE);
			state=false;
		}
		if(state){
			JOptionPane.showMessageDialog(null, "Success!", "Message", JOptionPane.PLAIN_MESSAGE);
		}
	}

	public String password() {
		String codeNums = "";
		String code[] = { "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f", "g", "h", "i",
				"j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "A", "B", "C", "D",
				"E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y",
				"Z" };
		int num = (int) (Math.random() * 3 + 6);
		for (int i = 0; i < num; i++) {
			int randNum = (int) (Math.random() * (code.length));
			codeNums += code[randNum];
		}
		return codeNums;
	}
}
