package com.jdbc.mysql;

import java.awt.*;
import java.awt.event.*;
import java.sql.*;
import javax.swing.*;

public class Normal extends JFrame {
	
	private JPanel jpNormal;
	private JButton btn;
	private Connection con;
	private JTextField textSQL;

	public Normal(Connection con) {
		this.con=con;
		initialize();
	}

	private void initialize() {
		this.setTitle("Query for MySQL");
		this.setSize(425, 234);
		this.setLocationRelativeTo(this);
		this.setResizable(false);
		
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.getContentPane().setLayout(null);
		
		jpNormal = new JPanel();
		jpNormal.setBounds(0, 70, 425, 48);
		getContentPane().add(jpNormal);
		jpNormal.setLayout(null);
		
		btn = new JButton("Ok");
		btn.setFont(new Font("΢ź Light", Font.BOLD, 24));
		btn.setBounds(325, 0, 78, 48);
		jpNormal.add(btn);
		
		textSQL = new JTextField();
		textSQL.setFont(new Font("΢ź Light", Font.BOLD, 24));
		textSQL.setBounds(15, 0, 310, 48);
		jpNormal.add(textSQL);
		textSQL.setColumns(10);
		
		btn.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				dealWith();
			}
		});
	}
	public void dealWith() {
		String sql=textSQL.getText();
		try {
			PreparedStatement pre=con.prepareStatement(sql);
			int row=pre.executeUpdate();
			if(row>=1) {
				JOptionPane.showMessageDialog(null, "Success", "Message",JOptionPane.PLAIN_MESSAGE);  
			}else {
				JOptionPane.showMessageDialog(null, "SQLError!", "Message", JOptionPane.ERROR_MESSAGE);
			}
		} catch (Exception e) {
			JOptionPane.showMessageDialog(null, "MySQLException!", "Message", JOptionPane.WARNING_MESSAGE);
		}
	}
}
